VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vcenter::ovf::LibraryItemTypes::CreateResult Class Reference

The `LibraryItem.CreateResult` class defines the result of the `Create` method. More...

List of all members.

## Public Member Functions
| CreateResult ()
| Creates a default new instance.
bool | GetSucceeded ()
| Whether the `Create` method completed successfully.
void | SetSucceeded (bool succeeded)
| Whether the `Create` method completed successfully.
string | GetOvfLibraryItemId ()
| Identifier of the created or updated library item.
void | SetOvfLibraryItemId (string ovfLibraryItemId)
| Identifier of the created or updated library item.
vmware.vcenter.ovf.LibraryItemTypes.ResultInfo | GetError ()
| Errors, warnings, and informational messages produced by the `Create` method.
void | SetError (vmware.vcenter.ovf.LibraryItemTypes.ResultInfo error)
| Errors, warnings, and informational messages produced by the `Create` method.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `LibraryItem.CreateResult` class defines the result of the `Create` method.

See LibraryItem.Create .

## Constructor & Destructor Documentation

vmware::vcenter::ovf::LibraryItemTypes::CreateResult::CreateResult | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vcenter::ovf::LibraryItemTypes::CreateResult::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vcenter::ovf::LibraryItemTypes::CreateResult::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vcenter::ovf::LibraryItemTypes::CreateResult::_GetType | ( |  | ) | `[inline]`

bool vmware::vcenter::ovf::LibraryItemTypes::CreateResult::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vcenter::ovf::LibraryItemTypes::CreateResult::_Validate | ( |  | ) | `[inline]`

override bool vmware::vcenter::ovf::LibraryItemTypes::CreateResult::Equals | ( | object | obj | ) | `[inline]`

vmware.vcenter.ovf.LibraryItemTypes.ResultInfo vmware::vcenter::ovf::LibraryItemTypes::CreateResult::GetError | ( |  | ) | `[inline]`

Errors, warnings, and informational messages produced by the `Create` method.

override int vmware::vcenter::ovf::LibraryItemTypes::CreateResult::GetHashCode | ( |  | ) | `[inline]`

string vmware::vcenter::ovf::LibraryItemTypes::CreateResult::GetOvfLibraryItemId | ( |  | ) | `[inline]`

Identifier of the created or updated library item.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

bool vmware::vcenter::ovf::LibraryItemTypes::CreateResult::GetSucceeded | ( |  | ) | `[inline]`

Whether the `Create` method completed successfully.

void vmware::vcenter::ovf::LibraryItemTypes::CreateResult::SetError | ( | vmware.vcenter.ovf.LibraryItemTypes.ResultInfo | error | ) | `[inline]`

Errors, warnings, and informational messages produced by the `Create` method.

void vmware::vcenter::ovf::LibraryItemTypes::CreateResult::SetOvfLibraryItemId | ( | string | ovfLibraryItemId | ) | `[inline]`

Identifier of the created or updated library item.

When clients pass a value of this class as a parameter, the field must be an identifier for the resource type: `com.vmware.content.library.Item` . When methods return a value of this class as a result, the field will be an identifier for the resource type: `com.vmware.content.library.Item` .

void vmware::vcenter::ovf::LibraryItemTypes::CreateResult::SetSucceeded | ( | bool | succeeded | ) | `[inline]`

Whether the `Create` method completed successfully.

override string vmware::vcenter::ovf::LibraryItemTypes::CreateResult::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- LibraryItemTypes.cs